<?php
namespace Claromentis\Documents\Subscriber;

$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] ?: array()) + array("_2ddb0d638f8b" . "0800ac1e67838" . "5d1d13f" => base64_decode("dGFnZ2Vkc" . "w=="), "_147160a2e585c182c1b1349779a20c" . "a3" => base64_decode("dGFnZ2Vkc" . "19hZmZlY3" . "RlZA=="), "_cc13a0811453f37" . "6ca3d9bf4073f66b" . "6" => base64_decode("UmVpbmR" . "leERvY3" . "VtZW50c" . "w=="), "_7f628626dd1d55" . "c71b1fc0932ffd1" . "d2c" => base64_decode("aXNfYXJy" . "YXk="));
use Claromentis\Core\Event\GenericEvent;
use Claromentis\Search\Indexing\IndexingQueue;
use ERMSObject;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;
class TagsSubscriber implements EventSubscriberInterface
{
    
    
    
    
    public static function getSubscribedEvents()
    {
        return [$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_147160a2e58" . "5c182c1b1349" . "779a20ca3"] => $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_cc13a0811453f376ca3d9b" . "f4073f66b6"]];
    }
    
    
    
    
    
    
    public function ReindexDocuments(GenericEvent $event)
    {
        $arguments = $event->getArguments();
        if (!isset($arguments[$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_2ddb0d638f8b0800" . "ac1e678385d1d13f"]][AGGREGATION_DATA])) {
            return;
        }
        $_54a4e641f6b0a82e03c3b14120cbf5f0 = $arguments[$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_2ddb0d638f8b0800ac1e678385d1d1" . "3f"]][AGGREGATION_DATA];
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_7f628626dd1d5" . "5c71b1fc0932ff" . "d1d2c"]($_54a4e641f6b0a82e03c3b14120cbf5f0)) {
            return;
        }
        foreach ($_54a4e641f6b0a82e03c3b14120cbf5f0 as $_f0abe7892aa8bbbd0c1198602164aa17) {
            IndexingQueue::Reindex(ERMSObject::GetSearchTypeFromAggregation(AGGREGATION_DATA), $_f0abe7892aa8bbbd0c1198602164aa17);
        }
    }
}